#!/bin/bash

# Get Job Header
# Usage: gjh.sh <job>
# where <job> can be specifie as the job name, like SDP-570 or simply 570.

declare ThisScript="${0##*/}"
declare JobBaseURL="https://swarm.workshop.perforce.com/projects/perforce-software-sdp/jobs"
declare Job=
declare JobURL=
declare JobHeader=
declare JobKey="SDP"
declare TmpDir=

if [[ $# -lt 1 ]]; then
   echo -e "\\nUsage: $ThisScript <Job>\\n\\ne.g.\\n\\t$ThisScript ${JobKey}-570\\n\\n${JobKey}-570 can be shortened to just 570."
   exit 1
fi

TmpDir=$(mktemp -d)

cd "$TmpDir"

for Job in $*; do
   [[ "$Job" =~ ^[0-9]+$ ]] && Job="${JobKey}-$Job"
   JobURL="$JobBaseURL/$Job"
   curl -s -k -O "$JobURL"
   JobHeader=$(grep 'first-line' $Job|head -1|cut -d '>' -f 3|cut -d '<' -f 1)

   echo "$Job: $JobHeader"
done

cd "$OLDPWD" || exit 1
rm -rf "$TmpDir"
